:root{
    --primary-color: #c72727;
    --secondary-color:#f99500;
    --light-color:#f3f3f3;
    --dark-color:#333;
    --max-width:1100px;
}
.categories{
    --sports-color:#f99500;
    --ent-color:#a66bbe;
    --tech-colors:#009cff;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
body{
    font-family: 'lato',sans-serif;
    line-height: 1.5;
    background: var(--light-color);
}
a{
    color: #333;
    text-decoration: none;
}
ul{
    list-style: none;
}
img{
    width:100%;
}
p{
    margin: 0.5rem;
}
h1, h2, h3, h4, h5, h6{
    font-family: 'staatliches', cursive;
    margin-bottom: .55rem;
    line-height: 1.3;
}
/* utility */
.container{
    max-width: var(--max-width);
    margin: auto;
    padding: 0 2rem;
    overflow: hidden;
}
.categories{
    display: inline-block;
    color: #fff;
    font-size: 0.55rem;
    text-transform: uppercase;
    padding: 0.4rem 0.6rem;
    border-radius: 15px;
    margin-bottom: 0.5rem;
}
.categories-sports{background: var(--sports-color);}
.categories-ent{background: var(--ent-color);}
.categories-tech{background: var(--tech-colors);}

.btn{
    display: inline-block;
    border: none;
    background-color: var(--dark-color);
    color: #fff;
    padding: 0.5rem 1.5rem;
}
.btn-light{ background: var(--light-color);}
.btn-primary{ background: var(--primary-color);}
.btn-secondary{ background: var(--secondary-color);}

.btn-block{
    display: block;
    width: 100%;
    text-align: center;
}
.btn:hover{
    opacity: 0.9;
}
.card{
    background: #fff;
    padding: 1rem;
}
.bg-dark{
    background: var(--dark-color);
    color: #fff;
    
}
.bg-primary{
    background: var(--primary-color);
    color: #fff;
    
}
.bg-secondary{
    background: var(--secondary-color);
    color: #fff;
    
}
.bg-dark h1,
.bg-dark h2,
.bg-dark h3,
.bg-dark a,
.bg-primary h1,
.bg-primary h2,
.bg-primary h3,
.bg-primary a,
.bg-secondary h1,
.bg-secondary h2,
.bg-secondary h3,
.bg-secondary a{
    color:#fff;
}
.py-1{ padding: 1.5rem 0;}
.py-2{ padding: 2rem 0;}
.py-3{ padding: 3.5rem 0;}
.p-1{ padding: 1.5rem;}
.p-2{ padding: 2rem;}
.p-3{ padding: 3.5rem;}

.lists li{
    padding: .5rem 0;
    border-bottom: #555 dotted 1px;
    width: 90%;
}

.lists li a:hover{
    color: var(--primary-color) !important;
}
/* inner page grid container */
.page-container{
    display: grid;
    grid-template-columns: 5fr 2fr;
    margin: 2rem 0;
    grid-gap:1.5rem;
}
.page-container >*:first-child{
    grid-row: 1 / span 3;
}
.l-heading{
    font-size: 3rem;
}
/* navigation */
#main-nav{
    background-color: #fff;
    position: sticky;
    top: 0;
    z-index: 2;

}
#main-nav .container{
    display: grid;
    grid-template-columns: 6fr 3fr 2fr;
    padding: 1rem;
    align-items: center;
}
#main-nav .logo{
    width: 180px;
}
#main-nav ul{
    justify-self: end;
    display: flex;

}
#main-nav ul li a{
    padding: 0.75rem;
    font-weight: bold;
}
#main-nav ul li a.current{
    background: var(--primary-color);
    color: #fff;
}
#main-nav ul li a:hover{
    background: var(--light-color);
    color:var(--dark-color);
}
#main-nav .social{
    justify-self: center;
}
#main-nav .social i{
    color:#777;
    margin-right: .5rem;
}
/* showcase */
#showcase{
    color: #fff;
    background: #333;
    padding: 2rem;
    position: relative;

}
#showcase::before{
    content:'' ;
    background: url(../image_resources/featured.jpg) no-repeat center center/cover;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    opacity: 0.4;
}
#showcase .showcase-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    height: 50vh;
}
#showcase .showcase-content{
    z-index: 1;
}
#showcase .showcase-content p{
    margin-bottom: 1rem;
}
/* home articles */
#home-articles .articles-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap:1rem;
}
#home-articles .articles-container >*:first-child{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap:1rem;
    align-items: center;
    grid-column:1/ span 2 ;
}
#home-articles .articles-container >*:last-child{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap:1rem;
    grid-column:2/ span 2 
}
#article .meta{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #eee;
    padding: 0.5rem;
}
#article .meta .categories{
    margin-top: 0.4rem;
}
/* Contact */
#contact .form-wrap .form-group{
        margin-top: 15px;
}

#contact .form-wrap .form-group input,
#contact .form-wrap .form-group textarea
{
    width: 100%;
    padding:10px;
    border: #ddd 1px solid;
    border-radius: 5px;
}
#contact .form-wrap .form-group textarea{
    height: 200px;
}
/* footer */
#main-footer{
    background: var(--dark-color);
    color: #fff;

}

#main-footer img{
    width: 150px;
}

#main-footer a{
    color: #fff;
}

#main-footer .footer-container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap:1.5rem;
}
#main-footer .footer-container >*:last-child{
    background: #444;
    grid-column: 1/ span 4;
    padding: 0.5rem;
    text-align: center;
    font-size: 0.75rem;
}

#main-footer .footer-container input[type='Email']{
    width: 90%;
    padding: 0.5rem;
    margin-bottom: 0.5rem;
}
#main-footer .footer-container input[type='submit']{
    width: 90%;
}